Index: /drbl-virt/sbin/drbl_kvm_patch.sh
===================================================================
--- /drbl-virt/sbin/drbl_kvm_patch.sh	(revision 214)
+++ /drbl-virt/sbin/drbl_kvm_patch.sh	(revision 215)
@@ -16,7 +16,6 @@
 # = 1. Patch DRBL xen env for client =
 # == Shutdown all drbl client ==
-echo ""
-echo "Please check all client are shutdown !!!"
-echo "you can use /opt/drbl/sbin/dcs to shutdown."
+echo -e "\nPlease shutdown all drbl client !!!"
+echo "You can use /opt/drbl/sbin/dcs to shutdown."
 read -p "Push [Enter] to continue......"
 
@@ -71,5 +70,5 @@
     fi
 # for CentOS & Fedora
-elif [ -e /etc/sysconfig/modules ]
+elif [ -e /etc/sysconfig/modules ]; then
     grep -r "modprobe kvm" /etc/sysconfig/modules/ 
     if [ $? -eq 1 ]; then
@@ -84,5 +83,4 @@
 fi
 EOF
-
     chmod +x /etc/sysconfig/modules/kvm.modules
     fi
Index: /drbl-virt/sbin/drbl_virt.sh
===================================================================
--- /drbl-virt/sbin/drbl_virt.sh	(revision 214)
+++ /drbl-virt/sbin/drbl_virt.sh	(revision 215)
@@ -30,5 +30,5 @@
     $Work_Path/kvm_install.sh
     # patch drbl to suuport KVM environment
-    $Work_Path/drbl_xen_patch.sh
+    $Work_Path/drbl_kvm_patch.sh
     # drbl re-push KVM environment
 fi
Index: /drbl-virt/sbin/drbl_xen_patch.sh
===================================================================
--- /drbl-virt/sbin/drbl_xen_patch.sh	(revision 214)
+++ /drbl-virt/sbin/drbl_xen_patch.sh	(revision 215)
@@ -17,7 +17,6 @@
 # = 1. Patch DRBL xen env for client =
 # == Shutdown all drbl client ==
-echo ""
-echo "Please check all client are shutdown !!!"
-echo "you can use /opt/drbl/sbin/dcs to shutdown."
+echo -e "\nPlease shutdown all drbl client !!!"
+echo "You can use /opt/drbl/sbin/dcs to shutdown."
 read -p "Push [Enter] to continue......"
 
Index: /drbl-virt/sbin/functions_drbl_virt
===================================================================
--- /drbl-virt/sbin/functions_drbl_virt	(revision 214)
+++ /drbl-virt/sbin/functions_drbl_virt	(revision 215)
@@ -2,5 +2,5 @@
 # Program:
 #   DRBL virt module
-# Author: 
+# Author:
 #   Jazz, Rock {jazz, rock}@nchc.org.tw
 # Version:
@@ -18,10 +18,10 @@
 
 # [Check Root]
-function check_root(){      
+function check_root(){
   if [ $USER != "root" ]; then
     echo -e "Please change root to run it!"
     exit
   fi
-} 
+}
 
 # [Change root to run]
@@ -71,11 +71,11 @@
     VMM_select=1
     echo "Xen" > $Work_Home/etc/hypervisior
-fi  
-}   
+fi
+}
 
 
 # [Check Hypervisior]
 function check_hypervisior(){
-    hypervisior=$(cat $Work_Home/etc/hypervisior)    
+    hypervisior=$(cat $Work_Home/etc/hypervisior)
 }
 
@@ -116,5 +116,5 @@
         for Kernel in $Kernels
         do
-            echo "($i) $Kernel" 
+            echo "($i) $Kernel"
             i=i+1
         done
@@ -207,5 +207,5 @@
     echo "Input VM number/IP range for $eth (ex. 40)."
     echo "default is the same numbers of drbl clients"
-    
+
 
     jude_2="no"
@@ -233,5 +233,5 @@
 
 # [Get VM prefix name]
-#function get_VM_prefix_name(){ 
+#function get_VM_prefix_name(){
 #jude="no"
 #while [ $jude != "yes" -a $jude != "y" ];
@@ -357,10 +357,10 @@
 function delete_duplicating_MAC(){
 drbl_mac_file="/etc/drbl/macadr-$eth.txt"
-# if macadr-ethX.txt.drbl-virt_bak already have, backup it 
+# if macadr-ethX.txt.drbl-virt_bak already have, backup it
 # else cp default backup
 if [ -e $drbl_mac_file.drbl-virt_bak ]; then
     cp $drbl_mac_file $drbl_mac_file.$(date +%Y-%m-%d-%H-%M-%S).drbl-virt_bak
     cp -f $drbl_mac_file.drbl-virt_bak $drbl_mac_file
-else 
+else
     cp $drbl_mac_file $drbl_mac_file.drbl-virt_bak
 fi
@@ -380,5 +380,5 @@
         fi
     done
-}  
+}
 
 
@@ -424,9 +424,9 @@
 
 
-# [Download tomcat and mv drbl-virt.wat to wepapps]                           
+# [Download tomcat and mv drbl-virt.wat to wepapps]
 function install_tomcat_and_mv_drbl-virt(){
 if [ ! -e $Work_Home/tomcat-7.0.2.tar.gz ]; then
 wget http://drbl-virt.googlecode.com/files/tomcat-7.0.2.tar.gz -P $Work_Home
-fi                         
+fi
 tar zxvf $Work_Home/tomcat-7.0.2.tar.gz -C $Work_Home/
 mv $Work_Home/drbl-virt.war $Work_Home/tomcat-7.0.2/webapps/
@@ -440,6 +440,15 @@
 # [Cehck KVM kernel & version]
 function check_kvm(){
+echo -e "\nCheck this kernel..."
 KVM_Kernel=$(uname -r)
-}
-
-
+
+grep -E '(CONFIG_KVM=m|CONFIG_KVM=y)' /boot/config-${KVM_Kernel} >> /dev/null
+if [ $? -eq 0 ]; then
+    echo "This Kernel supportes KVM !!!"
+else
+    echo "This Kernel doesn't support KVM !!!"
+    echo "Please change Kernel."
+    exit
+fi
+}
+
Index: /drbl-virt/sbin/kvm_install.sh
===================================================================
--- /drbl-virt/sbin/kvm_install.sh	(revision 214)
+++ /drbl-virt/sbin/kvm_install.sh	(revision 215)
@@ -12,5 +12,8 @@
 source $Work_Path/functions_drbl_virt
 
-# [ Intall ] 
+#  [ Main ]
+check_systemInfo
+
+# = 1. Intall KVM =
 case $Linux_Distribution in
     # for Ubuntu
